# fileChooser

## Description

Allows the user to choose multiple files.

## Input / Parameter

N/A

## Output

N/A

## Callback

### callback

The function to be executed if multiple files are chosen successfully.

### errorCallback

The function to be executed if multiple files are not chosen successfully.

## Video

Coming Soon.

## Example

The user wants to choose multiple files.

### Step

| No. | Description                      |                                                                                                                                                |
| --- | -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| 1.  | ![](/files/VZvdKTEIdFhemUMtpRZx) | Drag a button to a page in the mobile designer. Select the event `click` for the button and drag the function `fileChooser` to the event flow. |
| 2.  | ![](/files/VrJ5Q8EuI4hnQnQfnVyd) | Drag the function to be executed when multiple files are chosen successfully. In this example, we are using the `infoDialog` function.         |
| 3.  | ![](/files/dlok7G8aXJRHZ1xHYi5W) | Fill in the parameters of the function.                                                                                                        |

### Result?

When the button is pressed, the infoDialog will show the files chosen.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/device/filechooser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
